package com.ruoyi.api.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 手持版本升级对象 pda_apk_version
 * 
 * @author ruoyi
 * @date 2023-04-06
 */
public class PdaApkVersion extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long objid;

    /** 版本号 */
    @Excel(name = "版本号")
    private Long versionCode;

    /** 版本名 */
    @Excel(name = "版本名")
    private String versionName;

    /** 信息 */
    @Excel(name = "信息")
    private String modifyContent;

    /** 位置 */
    @Excel(name = "位置")
    private String downloadUrl;

    /** 文件大小 */
    @Excel(name = "文件大小")
    private Long apkSize;

    /** 文件标识 */
    @Excel(name = "文件标识")
    private String apkMd5;

    public void setObjid(Long objid)
    {
        this.objid = objid;
    }

    public Long getObjid()
    {
        return objid;
    }
    public void setVersionCode(Long versionCode)
    {
        this.versionCode = versionCode;
    }

    public Long getVersionCode()
    {
        return versionCode;
    }
    public void setVersionName(String versionName)
    {
        this.versionName = versionName;
    }

    public String getVersionName()
    {
        return versionName;
    }
    public void setModifyContent(String modifyContent)
    {
        this.modifyContent = modifyContent;
    }

    public String getModifyContent()
    {
        return modifyContent;
    }
    public void setDownloadUrl(String downloadUrl)
    {
        this.downloadUrl = downloadUrl;
    }

    public String getDownloadUrl()
    {
        return downloadUrl;
    }
    public void setApkSize(Long apkSize)
    {
        this.apkSize = apkSize;
    }

    public Long getApkSize()
    {
        return apkSize;
    }
    public void setApkMd5(String apkMd5)
    {
        this.apkMd5 = apkMd5;
    }

    public String getApkMd5()
    {
        return apkMd5;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objid", getObjid())
            .append("versionCode", getVersionCode())
            .append("versionName", getVersionName())
            .append("modifyContent", getModifyContent())
            .append("downloadUrl", getDownloadUrl())
            .append("apkSize", getApkSize())
            .append("apkMd5", getApkMd5())
            .append("createTime", getCreateTime())
            .toString();
    }
}
